Skip to main content
PATCH

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

metric_id
string
required

22-character metric ID

Pattern: ^[a-zA-Z0-9]{22}$

Body

application/json

Request body for updating a threshold. Send comparison_operator: null to clear the threshold.

comparison_operator
enum<string> | null
required

Comparison operator (send null to clear the threshold)

Available options:
eq,
neq,
gt,
gte,
lt,
lte,
in,
nin,
bt,
nbt
target_float_upper
number | null

Target float value (upper bound for bt/nbt, single value for others)

target_float_lower
number | null

Lower bound for range operators (bt/nbt)

target_values
string[] | null

Target values for list operators (in/nin)

Required array length: 1 - 50 elements
source
enum<string>

Source of the threshold value

Available options:
manual,
model

Response

Threshold updated successfully

threshold
object
required

Org-specific threshold for a metric